lmdb::map_full_error Class Referencefinal

Exception class for `MDB_MAP_FULL` errors. More...

`#include <lmdb++.h>`

Inheritance diagram for lmdb::map_full_error:

## Additional Inherited Members

Public Member Functions inherited from lmdb::error
| error (const char *const origin, const int rc) noexcept
| Constructor. More...
int | code () const noexcept
| Returns the underlying LMDB error code. More...
const char * | origin () const noexcept
| Returns the origin of the LMDB error. More...
virtual const char * | what () const noexcept
| Returns the underlying LMDB error code. More...
Static Public Member Functions inherited from lmdb::error
static void | raise (const char *origin, int rc)
| Throws an error based on the given LMDB return code. More...
Protected Attributes inherited from lmdb::error
const int | _code

## Detailed Description

Exception class for `MDB_MAP_FULL` errors.

See also
  http://symas.com/mdb/doc/group__errors.html#ga0a83370402a060c9175100d4bbfb9f25

The documentation for this class was generated from the following file:

- lmdb++.h